Package com.ocient.rest.contextResolver

# Class ObjectMapperProvider

java.lang.Object
com.ocient.rest.contextResolver.ObjectMapperProvider

All Implemented Interfaces:
  `jakarta.ws.rs.ext.ContextResolver<com.fasterxml.jackson.databind.ObjectMapper>`

    @Provider
    public class ObjectMapperProvider
    extends Object
    implements jakarta.ws.rs.ext.ContextResolver<com.fasterxml.jackson.databind.ObjectMapper>

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ObjectMapperProvider()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`com.fasterxml.jackson.databind.ObjectMapper` | `getContext​(Class<?> cls)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectMapperProvider

public ObjectMapperProvider()

## Method Details

### getContext

public com.fasterxml.jackson.databind.ObjectMapper getContext​(Class<?> cls)

Specified by:
  `getContext` in interface `jakarta.ws.rs.ext.ContextResolver<com.fasterxml.jackson.databind.ObjectMapper>`